The Spring Framework

## Package org.springframework.jms.support.converter

Provides a MessageConverter abstraction to convert between Java objects and JMS messages.

See:
Description

Interface Summary
MessageConverter: Strategy interface that specifies a converter between Java objects and JMS messages.

Class Summary
SimpleMessageConverter: A simple message converter which is able to handle TextMessages, BytesMessages, MapMessages, and ObjectMessages.
SimpleMessageConverter102: A subclass of `SimpleMessageConverter` for the JMS 1.0.2 specification, not relying on JMS 1.1 methods like SimpleMessageConverter itself.

Exception Summary
MessageConversionException: Thrown by `MessageConverter` implementations when the conversion of an object to/from a `Message` fails.

## Package org.springframework.jms.support.converter Description

Provides a MessageConverter abstraction to convert between Java objects and JMS messages.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.